org.springframework.batch.core.repository.support

## Class MapJobRepositoryFactoryBean

- java.lang.Object
- - org.springframework.batch.core.repository.support.AbstractJobRepositoryFactoryBean
  - - org.springframework.batch.core.repository.support.MapJobRepositoryFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<JobRepository>, org.springframework.beans.factory.InitializingBean

      public class MapJobRepositoryFactoryBean
      extends AbstractJobRepositoryFactoryBean

  A `FactoryBean` that automates the creation of a `SimpleJobRepository` using non-persistent in-memory DAO implementations. This repository is only really intended for use in testing and rapid prototyping. In such settings you might find that `ResourcelessTransactionManager` is useful (as long as your business logic does not use a relational database). Not suited for use in multi-threaded jobs with splits, although it should be safe to use in a multi-threaded step.
  Author:
    Robert Kasanicky

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapJobRepositoryFactoryBean()` Create a new instance with a `ResourcelessTransactionManager`.
    `MapJobRepositoryFactoryBean(org.springframework.transaction.PlatformTransactionManager transactionManager)` Create a new instance with the provided transaction manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Convenience method to clear all the map DAOs globally, removing all entities.
    `protected ExecutionContextDao` | `createExecutionContextDao()`
    `protected JobExecutionDao` | `createJobExecutionDao()`
    `protected JobInstanceDao` | `createJobInstanceDao()`
    `protected StepExecutionDao` | `createStepExecutionDao()`
    `ExecutionContextDao` | `getExecutionContextDao()`
    `JobExecutionDao` | `getJobExecutionDao()`
    `JobInstanceDao` | `getJobInstanceDao()`
    `StepExecutionDao` | `getStepExecutionDao()`

    - ### Methods inherited from class org.springframework.batch.core.repository.support.AbstractJobRepositoryFactoryBean

      `afterPropertiesSet, getJobRepository, getObject, getObjectType, getTransactionManager, isSingleton, setIsolationLevelForCreate, setTransactionManager, setValidateTransactionState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapJobRepositoryFactoryBean

          public MapJobRepositoryFactoryBean()

      Create a new instance with a `ResourcelessTransactionManager`.

    - #### MapJobRepositoryFactoryBean

          public MapJobRepositoryFactoryBean(org.springframework.transaction.PlatformTransactionManager transactionManager)

      Create a new instance with the provided transaction manager.
      Parameters:
        `transactionManager` - `PlatformTransactionManager`

  - ### Method Detail

    - #### getJobExecutionDao

          public JobExecutionDao getJobExecutionDao()

    - #### getJobInstanceDao

          public JobInstanceDao getJobInstanceDao()

    - #### getStepExecutionDao

          public StepExecutionDao getStepExecutionDao()

    - #### getExecutionContextDao

          public ExecutionContextDao getExecutionContextDao()

    - #### clear

          public void clear()

      Convenience method to clear all the map DAOs globally, removing all entities.

    - #### createJobExecutionDao

          protected JobExecutionDao createJobExecutionDao()
                                                   throws java.lang.Exception

      Specified by:
        `createJobExecutionDao` in class `AbstractJobRepositoryFactoryBean`
      Returns:
        fully configured `JobExecutionDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs creating JobExecutionDao.

    - #### createJobInstanceDao

          protected JobInstanceDao createJobInstanceDao()
                                                 throws java.lang.Exception

      Specified by:
        `createJobInstanceDao` in class `AbstractJobRepositoryFactoryBean`
      Returns:
        fully configured `JobInstanceDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs creating JobInstanceDao.

    - #### createStepExecutionDao

          protected StepExecutionDao createStepExecutionDao()
                                                     throws java.lang.Exception

      Specified by:
        `createStepExecutionDao` in class `AbstractJobRepositoryFactoryBean`
      Returns:
        fully configured `StepExecutionDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs creating StepExecutionDao.

    - #### createExecutionContextDao

          protected ExecutionContextDao createExecutionContextDao()
                                                           throws java.lang.Exception

      Specified by:
        `createExecutionContextDao` in class `AbstractJobRepositoryFactoryBean`
      Returns:
        fully configured `ExecutionContextDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs creating ExecutionContextDao.